Bug 444426 - Review Request: gabedit - GUI for computational chemistry
Review Request: gabedit - GUI for computational chemistry
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-28 07:27 EDT by Dominik 'Rathann' Mierzejewski
Modified: 2008-05-30 17:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-30 17:09:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2008-04-28 07:27:11 EDT
Spec URL: http://rathann.fedorapeople.org/review/gabedit.spec
SRPM URL: http://rathann.fedorapeople.org/review/gabedit-2.1.4-1.src.rpm
Description:
Gabedit is a Graphical User Interface to Gamess-US, Gaussian, Molcas, Molpro
and MPQC computational chemistry packages. Gabedit includes graphical
facilities for generating keywords and options, molecule specifications and
their input sections for even the most advanced calculation types. Gabedit
includes an advanced Molecule Builder. You can use it to rapidly sketch in
molecules and examine them in three dimensions. You can build molecules by
atom, ring, group, amino acid and nucleoside. You can also read geometry from
a file. Most major molecular file formats are supported.
Comment 1 Mamoru TASAKA 2008-05-08 14:54:48 EDT
For 2.1.4-1:

* dist tag
  - Please consider to use %?dist tag.
    http://fedoraproject.org/wiki/Packaging/DistTag

* License
  - The license of this package is "MIT".

* SourceURL
  - For sourceforge hosted sources, please refer to the section
    "Sourceforge.net" of
    http://fedoraproject.org/wiki/Packaging/SourceURL

* Parallel make
  - Please use %{?_smp_mflags} for the platform where _smp_mflags
    is not set.

* rpmlint issues:
---------------------------------------------------------------
gabedit.i386: E: arch-dependent-file-in-usr-share
/usr/share/doc/gabedit-2.1.4/utils/MolecularMechanics/createTPLfile
gabedit.i386: E: arch-dependent-file-in-usr-share
/usr/share/doc/gabedit-2.1.4/utils/MolecularMechanics/createmmfile
gabedit.i386: E: arch-dependent-file-in-usr-share
/usr/share/doc/gabedit-2.1.4/utils/Others/addInclude
gabedit.i386: E: arch-dependent-file-in-usr-share
/usr/share/doc/gabedit-2.1.4/utils/Others/addVirgul
gabedit.i386: E: arch-dependent-file-in-usr-share
/usr/share/doc/gabedit-2.1.4/utils/Others/createH
gabedit.i386: W: unstripped-binary-or-object
/usr/share/doc/gabedit-2.1.4/utils/MolecularMechanics/createTPLfile
gabedit.i386: W: unstripped-binary-or-object
/usr/share/doc/gabedit-2.1.4/utils/MolecularMechanics/createmmfile
gabedit.i386: W: unstripped-binary-or-object
/usr/share/doc/gabedit-2.1.4/utils/Others/addInclude
gabedit.i386: W: unstripped-binary-or-object
/usr/share/doc/gabedit-2.1.4/utils/Others/addVirgul
gabedit.i386: W: unstripped-binary-or-object
/usr/share/doc/gabedit-2.1.4/utils/Others/createH
gabedit.i386: W: wrong-file-end-of-line-encoding
/usr/share/doc/gabedit-2.1.4/utils/InnosSetupScriptWin32/Gabedit210.iss
gabedit.i386: W: wrong-file-end-of-line-encoding
/usr/share/doc/gabedit-2.1.4/utils/InnosSetupScriptWin32/Gabedit211.iss
gabedit.i386: W: wrong-file-end-of-line-encoding
/usr/share/doc/gabedit-2.1.4/utils/Others/Gabedit206.iss
gabedit.i386: E: wrong-script-interpreter
/usr/share/doc/gabedit-2.1.4/utils/Others/gabeditRunGamess.csh "./csh"
-----------------------------------------------------------------
  Summary:
  - Please remove all pre-built arch-dependent files under %_docdir
  - Check if Gabedit21?.iss can be converted into UTF-8 (not a blocker)
  - Fix the shebang of gabeditRunGamess.csh

By the way I would appreciate it if you would review my review
request (bug 444933)
Comment 2 Mamoru TASAKA 2008-05-18 13:14:13 EDT
ping?
Comment 3 Dominik 'Rathann' Mierzejewski 2008-05-19 14:18:28 EDT
Sorry, I had serious problems with email for my domain for the last week or so.

http://rathann.fedorapeople.org/review/gabedit.spec
http://rathann.fedorapeople.org/review/gabedit-2.1.4-2.src.rpm

Fixed all issues.
Comment 4 Mamoru TASAKA 2008-05-20 14:43:23 EDT
Okay.

--------------------------------------------------------------------
     This package (gabedit) is APPROVED by me
--------------------------------------------------------------------
Comment 5 Mamoru TASAKA 2008-05-27 11:47:27 EDT
ping again?
Comment 6 Dominik 'Rathann' Mierzejewski 2008-05-28 12:10:57 EDT
New Package CVS Request
=======================
Package Name: gabedit
Short Description: GUI for computational chemistry
Owners: rathann
Branches: F-8 F-9 EL-5
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2008-05-30 15:33:27 EDT
cvs done.
Comment 8 Dominik 'Rathann' Mierzejewski 2008-05-30 17:09:42 EDT
Imported and built for devel and F-9, others will follow. Thank you.

Note You need to log in before you can comment on or make changes to this bug.